diff -uNr a/Kconfig b/Kconfig
--- a/Kconfig	2017-03-29 14:36:00.015656856 +0800
+++ b/Kconfig	2017-03-29 14:43:07.467667621 +0800
@@ -25,6 +25,21 @@
 	select ATH5K_PCI
 	select SND_PCI
 	select GENERIC_PCI_IOMAP
+	select WIRELESS
+	select WIRELESS_EXT
+	select WEXT_CORE
+	select WEXT_PROC
+	select WEXT_SPY
+	select WEXT_PRIV
+	select CFG80211
+	select NL80211_TESTMODE
+	select CFG80211_REG_DEBUG
+	select CFG80211_CERTIFICATION_ONUS
+	select CFG80211_DEFAULT_PS
+	select CFG80211_DEBUGFS
+	select CFG80211_INTERNAL_REGDB
+	select CFG80211_WEXT
+	select RFKILL_REGULATOR 
 	help
 	Add support for the Qualcomm Atheros CLD WLAN module
 
